// (C) 2001-2021 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
GMK9khRrlId/uOEFlx29QFLo5QddtmH7qs9C4l7oR0kPzIE78PZjgOcb4pvI3Obo
P6Cn/+kyCta68lzDqschr/AfEi1RDXfd1WYCe6NEkRQ/E5ruMyZY+4hdrL+BOD4Y
n6tSJgrVMBWhfFPV6zN6Oq3Ysi0Ql9FgL3x9/jFkt5M=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 5216 )
`pragma protect data_block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`pragma protect end_protected
