// (C) 2001-2021 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
3k7ZLG2lFBP3FiQvP86C2LqkhEXHAuX1qWP7qRzqWbw8Y2EwIGUk92pVGnrWYKnp
QGpV+FGpzDgRhhQUMqan//7wadKQ001sxL6CyUjfXmSgFRaizJ2Ht9PvWaSBU0j4
AgpFyYwXZt9bHTWIysAxqxLsVXG/ITfmxK/QoNdXwNs=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 2944 )
`pragma protect data_block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`pragma protect end_protected
