// (C) 2001-2021 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
TZZqQ4wMrm7xlGY7GttPPN+eCAbvRgsIdGszstynHwXcjs1Ek+egZst4F0kL9K2J
ygc0JywoyhYjczWrDaRwoB7kB6jO35+F+alu5iZKYFEn8KR/jG0dZtvp9J059zUy
PGEXBaTwW/GOG9dTUCWbbpdgwLFrYVEUFbA0WLPww6o=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 3712 )
`pragma protect data_block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`pragma protect end_protected
